ConnectCloud Developers

How classified documents got their type, per type (tenant:dms:read)

GET /api/dms/v1/classifications/stats

Module: DMS · operationId: getClassificationStats · Tag: Classification · Auth: access token (Authorization: Bearer <accessToken>)

Responses

  • 200 Counts per document type (application/json)

Fields of the 200 answer:

  • items (array of ClassificationStat, required): One row per document type
    • automatic (integer, required): Taken over without review
    • category (string, required): Document type code
    • confirmed (integer, required): A person confirmed the proposal
    • corrected (integer, required): A person chose another type than the proposal
    • pending (integer, required): Waiting for review
  • total (integer, required): Number of rows

Example 200 answer:

{
  "items": [
    {
      "automatic": 212,
      "category": "incoming_document",
      "confirmed": 9,
      "corrected": 3,
      "pending": 1
    },
    {
      "automatic": 48,
      "category": "delivery_note",
      "confirmed": 5,
      "corrected": 2,
      "pending": 1
    }
  ],
  "total": 2
}

Example request

curl -X GET 'https://api.mbcom.cloud/api/dms/v1/classifications/stats' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI